HaruDoc::getStreamSize
HaruDoc::loadJPEG
HaruDoc
PHP Manual

# HaruDoc::insertPage

(PECL haru >= 0.0.1)

HaruDoc::insertPage — Insert new page just before the specified page

### Description

object HaruDoc::insertPage ( object `$page` )

Creates a new page and inserts just before the specified page.

### Parameters

`page`

  A valid HaruPage instance.

### Return Values

Returns a new HaruPage instance.

### Errors/Exceptions

Throws a HaruException on error.

### See Also

- HaruDoc::addPage - Add new page to the document

HaruDoc::getStreamSize
HaruDoc::loadJPEG
HaruDoc
PHP Manual